[Stable Update i686] 2019-03-31 - Kernels, WINE, Rust

update
stable
manjaro32
#1

Hello i686ers!

This is a very small set mainly to update kernels.

There’s a large number of rebuilt packages gathering in x32-unstable (due to e.g. libidn) and there’s no point in holding these kernels back until all of that shakes out.


Full list of changes

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                            linux316            3.16.63-0            3.16.64-1
                    linux316-headers            3.16.63-0            3.16.64-1
                            linux414           4.14.108-1           4.14.109-1
                    linux414-headers           4.14.108-1           4.14.109-1
                            linux419            4.19.31-1            4.19.32-1
                    linux419-headers            4.19.31-1            4.19.32-1
                             linux49            4.9.165-1            4.9.166-1
                     linux49-headers            4.9.165-1            4.9.166-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                  linux316-acpi_call           1.1.0-48.0             1.1.0-64
                linux316-broadcom-wl    6.30.223.271-27.0      6.30.223.271-64
                linux316-ndiswrapper            1.61-27.0              1.61-64
               linux316-nvidia-340xx          340.107-6.0           340.107-64
                      linux316-r8168        8.045.08-13.0          8.045.08-64
                  linux316-rt3562sta      2.4.1.1_r4-27.0        2.4.1.1_r4-64
                        linux316-spl             0.7.13-1            0.7.13-64
                linux316-vhba-module        20161009-27.0          20161009-64
   linux316-virtualbox-guest-modules            6.0.4-1.0             6.0.4-64
    linux316-virtualbox-host-modules            6.0.4-1.0             6.0.4-64
                        linux316-zfs             0.7.13-1            0.7.13-64
                  linux414-acpi_call            1.1.0-108            1.1.0-109
                   linux414-bbswitch              0.8-108              0.8-109
                linux414-broadcom-wl     6.30.223.271-108     6.30.223.271-109
                linux414-ndiswrapper             1.61-108             1.61-109
               linux414-nvidia-340xx          340.107-108          340.107-109
                      linux414-r8168         8.045.08-108         8.045.08-109
                  linux414-rt3562sta       2.4.1.1_r4-108       2.4.1.1_r4-109
                        linux414-spl           0.7.13-108           0.7.13-109
                   linux414-tp_smapi             0.41-108             0.41-109
                linux414-vhba-module         20161009-108         20161009-109
   linux414-virtualbox-guest-modules            6.0.4-108            6.0.4-109
    linux414-virtualbox-host-modules            6.0.4-108            6.0.4-109
                        linux414-zfs           0.7.13-108           0.7.13-109
                  linux419-acpi_call             1.1.0-31             1.1.0-32
                   linux419-bbswitch               0.8-31               0.8-32
                linux419-broadcom-wl      6.30.223.271-31      6.30.223.271-32
                linux419-ndiswrapper              1.61-31              1.61-32
               linux419-nvidia-340xx           340.107-31           340.107-32
                   linux419-nvidiabl              0.88-31              0.88-32
                      linux419-r8168          8.045.08-31          8.045.08-32
                        linux419-spl            0.7.13-31            0.7.13-32
                   linux419-tp_smapi              0.41-31              0.41-32
                linux419-vhba-module          20161009-31          20161009-32
   linux419-virtualbox-guest-modules             6.0.4-31             6.0.4-32
    linux419-virtualbox-host-modules             6.0.4-31             6.0.4-32
                        linux419-zfs            0.7.13-31            0.7.13-32
                   linux49-acpi_call            1.1.0-165            1.1.0-166
                    linux49-bbswitch              0.8-165              0.8-166
                 linux49-broadcom-wl     6.30.223.271-165     6.30.223.271-166
                 linux49-ndiswrapper             1.61-165             1.61-166
                linux49-nvidia-340xx          340.107-165          340.107-166
                       linux49-r8168         8.045.08-165         8.045.08-166
                   linux49-rt3562sta       2.4.1.1_r4-165       2.4.1.1_r4-166
                         linux49-spl           0.7.13-165           0.7.13-166
                    linux49-tp_smapi             0.41-165             0.41-166
                 linux49-vhba-module         20161009-165         20161009-166
    linux49-virtualbox-guest-modules            6.0.4-165            6.0.4-166
     linux49-virtualbox-host-modules            6.0.4-165            6.0.4-166
                         linux49-zfs           0.7.13-165           0.7.13-166
                   ndiswrapper-utils              1.61-84             1.61-166
                    rt3562sta-common       2.4.1.1_r4-115       2.4.1.1_r4-166


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                              falkon            3.1.0-1.0            3.1.0-3.0
                            help2man           1.47.8-1.0          1.47.10-1.0
                             libxres            1.2.0-1.1            1.2.0-1.2
                       pulseaudio-qt            1.0.0-1.0            1.0.1-1.0
                            wxmaxima          19.01.3-1.0          19.03.1-1.0
                                rust                    -         1:1.33.0-1.0
                           rust-docs                    -         1:1.33.0-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                      acpi_call-dkms          1.1.0-200.0          1.1.0-201.0
                             aws-cli         1.16.122-1.0         1.16.130-1.0
                         broadcom-wl    6.30.223.271-87.0    6.30.223.271-88.0
                     deepin-anything            0.0.4-1.2            0.0.4-2.0
                deepin-anything-dkms            0.0.4-1.2            0.0.4-2.0
                          drbd-utils            9.7.0-1.0            9.8.0-1.0
                              drupal           8.6.12-1.0           8.6.13-1.0
                           glusterfs            1:5.5-1.0            1:6.0-1.0
                         google-glog            0.3.5-2.0            0.4.0-1.0
                              kcptun         20190321-1.0         20190325-1.0
                          kdeconnect            1.3.3-1.1            1.3.4-1.0
                         kvantum-qt5          0.10.10-1.0           0.11.0-1.0
                           leptonica           1.77.0-1.0           1.78.0-1.0
                             libgiac         1.5.0.47-1.1         1.5.0.49-1.0
                         lsp-plugins            1.1.7-1.0            1.1.9-1.0
             nextcloud-app-bookmarks         1:0.16.2-1.0         1:0.16.3-1.0
                     python-autobahn           19.1.1-1.0           19.3.3-1.0
                        python-boto3          1.9.112-1.0          1.9.120-1.0
                     python-botocore         1.12.112-1.0         1.12.120-1.0
                       python-dnslib            0.9.9-1.0           0.9.10-1.0
                     python-flexmock           0.10.3-1.1           0.10.4-1.0
                        python-ldap3            2.5.2-1.0              2.6-1.0
                  python-pytest-mock           1.10.1-1.0           1.10.2-1.0
                       python2-boto3          1.9.112-1.0          1.9.120-1.0
                    python2-botocore         1.12.112-1.0         1.12.120-1.0
                    python2-flexmock           0.10.3-1.1           0.10.4-1.0
                       python2-ldap3            2.5.2-1.0              2.6-1.0
                 python2-pytest-mock           1.10.1-1.0           1.10.2-1.0
                      rocksndiamonds          4.1.1.0-1.0          4.1.2.0-1.0
                        ruby-msgpack            1.2.8-1.1            1.2.9-1.0
                                rust         1:1.32.0-1.0                    -
                           rust-docs         1:1.32.0-1.0                    -
                                skim            0.6.2-1.0            0.6.4-1.0
                             skrooge           2.18.0-2.0           2.18.0-3.0
                    telegram-desktop            1.6.1-1.0            1.6.2-1.0
                                wine              4.3-1.0              4.4-1.0
                        wine-staging              4.3-1.0              4.4-1.0
                                xcas         1.5.0.47-1.1         1.5.0.49-1.0

Anyone who would like to help out testing the upstream packages, please read the archlinux32 thread for details about how they automate their testing process and how to get involved:

https://bbs.archlinux32.org/viewtopic.php?id=171

(running this in an archlinux32 VM would be fine, there will hopefully be a way of doing this directly from within manjaro32 in the future)


Available kernels

Series Version PAE
linux316 3.16.64 No
linux318 3.18.137 No
linux44 4.4.177 No
linux49 4.9.166 No
linux414 4.14.109 No
linux419 4.19.32 Yes

archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It’s a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren’t the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren’t as many packagers. If you notice an important package is lagging please report it; at the moment it’s only me packaging for i686:

I’m only packaging current LTS kernels. Any marked as EOL are dropped. I’ll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn’t this meant to be stable?

“Stable” means “infrequently changing”, not “everything will work perfectly all the time”. If you want it to mean everything works, you need to help test the things you’re interested in.

What about installer images?

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by anyone who wants to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


1 Like

[Testing Update i686] 2019-03-27 - Kernels
#2

Known issues and solutions

0 Likes

closed #3

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.

0 Likes